curl --request GET \
--url https://lumina-api-production-ac85.up.railway.app/policies/{productId}/{policyId}import requests
url = "https://lumina-api-production-ac85.up.railway.app/policies/{productId}/{policyId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://lumina-api-production-ac85.up.railway.app/policies/{productId}/{policyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"productId": "0x0000000000000000000000000000000000000000000000000000000000000000",
"policyId": "1000000",
"shield": "0x0000000000000000000000000000000000000000",
"buyer": "0x0000000000000000000000000000000000000000",
"holder": "0x0000000000000000000000000000000000000000",
"coverageAmount": "1000000",
"payoutAmount": "1000000",
"premiumPaid": "1000000",
"createdAt": "1000000",
"expiresAt": "1000000",
"status": "Waiting",
"triggered": true,
"expired": true,
"productName": "<string>",
"purchasedAt": "1000000",
"waitingEndsAt": "<string>",
"productActive": true,
"priceSnapshot": "1000000",
"triggeredAt": "<string>",
"bondId": "<string>"
}{
"error": "validation_error",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "validation_error",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "validation_error",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}Read a policy
Path Parameters
32-byte 0x-prefixed hex string (e.g. a productId or txHash).
^0x[0-9a-fA-F]{64}$"0x0000000000000000000000000000000000000000000000000000000000000000"
A non-negative integer encoded as a decimal string (used for token amounts, prices, and other on-chain bigint values).
^\d+$"1000000"
Response
Policy.
32-byte 0x-prefixed hex string (e.g. a productId or txHash).
^0x[0-9a-fA-F]{64}$"0x0000000000000000000000000000000000000000000000000000000000000000"
A non-negative integer encoded as a decimal string (used for token amounts, prices, and other on-chain bigint values).
^\d+$"1000000"
Ethereum 0x-prefixed checksummed or lowercase address.
^0x[a-fA-F0-9]{40}$"0x0000000000000000000000000000000000000000"
Ethereum 0x-prefixed checksummed or lowercase address.
^0x[a-fA-F0-9]{40}$"0x0000000000000000000000000000000000000000"
Ethereum 0x-prefixed checksummed or lowercase address.
^0x[a-fA-F0-9]{40}$"0x0000000000000000000000000000000000000000"
A non-negative integer encoded as a decimal string (used for token amounts, prices, and other on-chain bigint values).
^\d+$"1000000"
A non-negative integer encoded as a decimal string (used for token amounts, prices, and other on-chain bigint values).
^\d+$"1000000"
USDC base units (6-dec).
^\d+$"1000000"
Unix seconds.
^\d+$"1000000"
Unix seconds.
^\d+$"1000000"
Waiting, Active, Triggered, Expired, Cancelled Human-readable name derived from PRODUCT_ID preimage.
Unix seconds.
^\d+$"1000000"
Unix-seconds string when the waiting period ends, or null.
LUMINA/USD 18-dec snapshot at purchase. '0' for legacy V5.0 policies.
^\d+$"1000000"
Unix-seconds when triggered, or null.
BondVault epochId minted at trigger, or null.